<!DOCTYPE html>
<html>
	<head>
		<title> Assignment 4 Scatter Plot </title> 
		<script src="https://d3js.org/d3.v6.min.js"></script>
		<style>
			.circle{
				fill: mediumpurple;
				stroke: black;
			}
		</style>
	</head>

	<body>
		<div id = "scatterPlot"></div>
		<script>
			//Svg and graph set up
			const svgH = 600;
			const svgW = 600;
			const margins = {top: 70, bottom: 70, left: 70, right: 70};
			const H = svgH - margins.bottom - margins.top;
			const W = svgW - margins.left - margins.right;

			const svg = d3.select("#scatterPlot")
				.append("svg")
				.attr("height", svgH)
				.attr("width", svgW);

			const graph = svg.append("g")
				.attr("transform", `translate(100, ${margins.top})`);

			//Import Data
				d3.csv('https://gist.githubusercontent.com/Ahuynh111/1e482a97d70acac597f636b109d9d74e/raw/ea243b11086e226c5f416302f931d3c77e42ac8d/PokemonStats.csv', function(d){
					return{
						Attack: +d.Attack,
						Defense: +d.Defense
					};
				}).then(function(d1){
					console.log(d1);
					
					//scales x - attack, y - defense
					const xscale = d3.scaleLinear()
						.domain([0, d3.max(d1, function(z){
							return(z.Attack)
						})])
						.range([0,W]);

					const yscale = d3.scaleLinear()
						.domain([0, d3.max(d1, function(z){
							return(z.Defense)
						})])
						.range([H,0]);

					//axes
						graph.append("g")
							.attr("transform", `translate(0,${H})`)
							.call(d3.axisBottom(xscale));

						graph.append("g")
							//.attr("transform", `translate(0,${H})`)
							.call(d3.axisLeft(yscale).ticks(10));

					//plotting 
							graph.selectAll(".circle")
							.data(d1)
							.enter()
							.append("circle")
							.attr("class", "circle")
							.attr("cx", function(z){
								return(xscale(z.Attack));
							})
							.attr("cy", function(z){
								return(yscale(z.Defense));
							})
							.attr("r", 5);
					//labels
						svg.append("text")
							.text("Pokemon Attack")
							.attr("x", svgW/2)
							.attr("y", svgH - margins.bottom/4);
						svg.append("text")
							.text("Pokemon Defense")
							.attr("x", 10)
							.attr("y", H/2);
						svg.append("text")
							.text("Pokemon Attack to Defense Scatter Plot")
							.attr("x", W/2)
							.attr("y", 50)
				})
		</script>
	</body>
</html>